Subject: Re: [PATCH 2/2] reflog: ignore expire-unreachable for "HEAD" reflog

From: Johannes Sixt <[email-masked]>
Date: Fri, 16 Apr 2010 08:08:10 +0200

Am 4/15/2010 18:36, schrieb Jeff King:
> I think it is because the reachability test is defined as "from the
> current ref".

Thanks, this clears my confusion. I see the problem that Junio wants to
fix, but IMHO this:

> I think another way of addressing the same problem would be to redefine
> "reachable" in this context as "reachable from any current ref".

would be a better approach for a fix rather than an exception for HEAD.

-- Hannes